# kit-openvpn-client-conf

This repository contains all client configuration files for the [KIT OpenVPN](https://www.scc.kit.edu/dienste/openvpn.php) service.

KIT OpenVPN offers L3 (standard) VPN access as well as L2 (vpn2vlan). These distinct configuration settings are available for both layers (defaults in **bold**):

* Tunnel endpoint IP protocol: **IPv4** or IPv6
* Split: **non-split** or split tunneling
* Protocol: **UDP** or TCP
* Port: **1194** or 443
* MTU: **openvpn default** or lower

All configuration files are maintained in this git repository. The version number can be found in the header of every configuration file.
It is composed of the server-side OpenVPN version, a hyphen and a number which is incremented on every configuration change (e.g. 2.5-1).
Even if only parts of the configuration files are changed the number is always increased in every file.

Non-default or non-obvious configuration settings are explained inside every config file.

You may add the following line to the configuration files to use CHACHA20-POLY1305 as the data cipher.
data-ciphers CHACHA20-POLY1305
